Subject: [Tsvwg] reviewers needed: draft-ietf-tsvwg-port-randomization-01.txt

From: Lars Eggert <[email-masked]>
Date: Wed, 26 Mar 2008 18:04:47 +0200

Hi,

Mark, Joe and some other have commented on the previous version. This  
update attempts top reflect these comments.

I'd like to encourage folks to give this a read; your chairs are  
interested in hearing about how close to done you think this is.

Thanks,
Lars

On 2008-2-26, at 0:00, ext [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
> This draft is a work item of the Transport Area Working Group  
> Working Group of the IETF.
>
>
> 	Title           : Port Randomization
> 	Author(s)       : M. Larsen, F. Gont
> 	Filename        : draft-ietf-tsvwg-port-randomization-01.txt
> 	Pages           : 25
> 	Date            : 2008-02-25
>
> Recently, awareness has been raised about a number of "blind" attacks
> that can be performed against the Transmission Control Protocol (TCP)
> and similar protocols.  The consequences of these attacks range from
> throughput-reduction to broken connections or data corruption.  These
> attacks rely on the attacker's ability to guess or know the five-
> tuple (Protocol, Source Address, Destination Address, Source Port,
> Destination Port) that identifies the transport protocol instance to
> be attacked.  This document describes a simple and efficient method
> for random selection of the client port number, such that the
> possibility of an attacker guessing the exact value is reduced.
> While this is not a replacement for cryptographic methods, the
> described port number randomization algorithms provide improved
> security/obfuscation with very little effort and without any key
> management overhead.  The mechanisms described in this document are a
> local modification that may be incrementally deployed, and that does
> not violate the specifications of any of the transport protocols that
> may benefit from it, such as TCP, UDP, SCTP, DCCP, and RTP.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-tsvwg-port-randomization-01.txt
>
> To remove yourself from the I-D Announcement list, send a message to
> [email-masked] with the word unsubscribe in the body of
> the message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
>
> Internet-Drafts are also available by anonymous FTP. Login with the
> username "anonymous" and a password of your e-mail address. After
> logging in, type "cd internet-drafts" and then
> 	"get draft-ietf-tsvwg-port-randomization-01.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-tsvwg-port-randomization-01.txt".
>
> NOTE:   The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> Content-Type: text/plain
> Content-ID: <[email-masked]>
>
> ENCODING mime
> FILE /internet-drafts/draft-ietf-tsvwg-port-randomization-01.txt
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> http://www.ietf.org/mailman/listinfo/i-d-announce